/* Adding of additional indexes to the tables (to the standard set of TecDoc indexes) */
/* to accelerate the most popular SQL-queries. In may version of TecDoc database, uploaded into MySQL, */
/* these indexes are already created. */

ALTER TABLE ART_LOOKUP
ADD KEY ARL_SEARCH_NUMBER (ARL_SEARCH_NUMBER(13), ARL_BRA_ID, ARL_KIND);

ALTER TABLE ARTICLE_CRITERIA
ADD KEY ACR_VALUE (ACR_VALUE),
ADD KEY ACR_KV_DES_ID (ACR_KV_DES_ID);

ALTER TABLE ARTICLES
ADD KEY ART_ARTICLE_NR (ART_ARTICLE_NR(18)),
ADD KEY ART_COMPLETE_DES_ID (ART_COMPLETE_DES_ID),
ADD KEY ART_DES_ID (ART_DES_ID),
ADD KEY ART_SUP_ID (ART_SUP_ID);

ALTER TABLE COUNTRY_DESIGNATIONS
ADD KEY CDS_TEX_ID (CDS_TEX_ID);

ALTER TABLE DES_TEXTS
ADD KEY TEX_TEXT (TEX_TEXT(70));

ALTER TABLE DESIGNATIONS
ADD KEY DES_TEX_ID (DES_TEX_ID);

ALTER TABLE LINK_ART
ADD KEY LA_ART_ID (LA_ART_ID);

ALTER TABLE LINK_ART_GA
ADD KEY LAG_GA_ID (LAG_GA_ID);

ALTER TABLE LINK_LA_TYP
ADD KEY LAT_LA_ID (LAT_LA_ID);

ALTER TABLE MANUFACTURERS
ADD KEY MFA_BRAND (MFA_BRAND(14));

ALTER TABLE MODELS
ADD KEY MOD_MFA_ID (MOD_MFA_ID),
ADD KEY MOD_CDS_ID (MOD_CDS_ID);

ALTER TABLE TYPE_NUMBERS
ADD KEY TYN_SEARCH_TEXT (TYN_SEARCH_TEXT(12), TYN_KIND);

ALTER TABLE TYPES
ADD KEY TYP_MOD_ID (TYP_MOD_ID),
ADD KEY TYP_CDS_ID (TYP_CDS_ID);
