/* Display of the list of non-original products for a given category (STR_ID)
/* (excluding relevance to cars) */

SET @STR_ID = 10630; /* Piston assembly; You can use NULL to display ALL spare parts to the car */

SELECT
	LAG_ART_ID
FROM
	           LINK_GA_STR
	INNER JOIN LINK_ART_GA ON LAG_GA_ID = LGS_GA_ID
WHERE
	LGS_STR_ID = @STR_ID
ORDER BY
	LAG_ART_ID
LIMIT
	100
;
