/* Display of the country for the specified non-original supplier (SUP_ID) */
/*	COU_ID - Country code */
/*	COU_DES_TEXT - Country name */

SET @SUP_ID = 21; /* VALEO */
SET @LNG_ID = 16; /* 1 - German; 16 - Russian */

SELECT
	COU_ID,
	TEX_TEXT AS COU_DES_TEXT
FROM
	           SUPPLIER_ADDRESSES
	INNER JOIN COUNTRIES ON COU_ID = SAD_COU_ID_POSTAL
	INNER JOIN DESIGNATIONS ON DES_ID = COU_DES_ID
	INNER JOIN DES_TEXTS ON TEX_ID = DES_TEX_ID
WHERE
	SAD_SUP_ID = @SUP_ID AND
	SAD_COU_ID = 0 AND
	DES_LNG_ID = @LNG_ID
;
